%define		pdir	Authen
%define		module	Authen-Smb
Summary:	Perl extension to authenticate against an SMB server
Name:		perl-%module
Version:	0.91
Release:	%mkrel 10
License:	GPL
Url:		http://search.cpan.org/dist/%module/
Group:		Development/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{module}-%{version}.tar.gz
Patch0:		Authen-Smb-0.91-64bit-fixes.patch
BuildRequires:	perl-devel >= 5.6
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Authen::Smb is a Perl module to authenticate against an SMB server.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1 -b .64bit-fixes

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/%pdir/*
%{perl_vendorarch}/auto/%pdir/*
%{_mandir}/man3/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.91-10mdv2009.0
+ Revision: 223567
- rebuild

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.91-9mdv2008.1
+ Revision: 151474
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Feb 09 2007 Michael Scherer <misc@mandriva.org> 0.91-8mdv2007.0
+ Revision: 118346
- bunzip patch
- rebuilt to get ride of mdk extension

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Authen-Smb

* Tue May 02 2006 Stefan van der Eijk <stefan@eijk.nu> 0.91-7mdk
-_rebuild_for_sparc

* Sat Jun 11 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.91-6mdk
- Rebuild, spec cleanup

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.91-5mdk
- Rebuild for new perl

* Wed Apr 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.91-4mdk
- Rebuild for new perl

